'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var index_esm = require('../../../node_modules/.pnpm/@solana_web3.js@1.72.0/node_modules/@solana/web3.js/lib/index.esm.cjs');
var ed25519 = require('@noble/ed25519');

function _interopNamespace(e) {
  if (e && e.__esModule) return e;
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n["default"] = e;
  return Object.freeze(n);
}

var ed25519__namespace = /*#__PURE__*/_interopNamespace(ed25519);

class Web3JsEddsa {
  generateKeypair() {
    return index_esm.Keypair.generate();
  }
  createKeypairFromSecretKey(secretKey) {
    return index_esm.Keypair.fromSecretKey(secretKey);
  }
  createKeypairFromSeed(seed) {
    return index_esm.Keypair.fromSeed(seed);
  }
  createPublicKey(input) {
    return new index_esm.PublicKey(input);
  }
  createDefaultPublicKey() {
    return index_esm.PublicKey.default;
  }
  isOnCurve(input) {
    return index_esm.PublicKey.isOnCurve(input);
  }
  findPda(programId, seeds) {
    const [key, bump] = index_esm.PublicKey.findProgramAddressSync(seeds, new index_esm.PublicKey(programId));
    return {
      ...key,
      bump
    };
  }
  sign(message, keypair) {
    return ed25519__namespace.sync.sign(message, keypair.secretKey.slice(0, 32));
  }
  verify(message, signature, publicKey) {
    return ed25519__namespace.sync.verify(signature, message, publicKey.toBytes());
  }
}

exports.Web3JsEddsa = Web3JsEddsa;
//# sourceMappingURL=Web3JsEddsa.cjs.map
